module Yuki
	class Message
		def replace_message_codes(text)
			text = ::PFM::Text.parse_string_for_messages(text)
			#Textes pour le mort
			text.gsub!(/\\[Dd]/) { $names[0] }
			text.gsub!(/\\[Zz]/) { $names_s[0] }
			text.gsub!(/\\[Gg]/) { show_gold_window }
			text.gsub!(/\[WAIT ([0-9]+)\]/) { "\x02[#{$1}]"}
			text.gsub!(/\\[Cc]\[([0-9]+)\]/) { "\001[#{$1}]" }
			text.gsub!(/\\[Ss]\[([bir]+)\]/) { "\x03[#{get_style_code($1)}]" }
			text.gsub!(/\\\^/) { "\x04[0]" }
			text.gsub!(/\\spd\[([0-9]+)\]/) { "\x05[#{$1}]" }
			text.sub!(/\:\[([^\]]+)\]\:/) { parse_speaker($1) }
			text.gsub!(S_000, S_sl)
			return text
		end
	end
end
