#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01200 PFM\02500 PFM__Pokemon___Stats.rb
#----------------------------------------

module PFM
	class Pokemon

#Permet d'avoir des hp négatifs pouvant aller jusqu'a -|max_hp|

		def hp=(v)
			position = 0
			position = @position if @position != nil
			if position<0 #On traite un ennemi
				if $game_switches[Yuki::Sw::EnemyDeath] #On peut tuer l'ennemi
					neg(v)
				else #On ne peut pas tuer l'ennemi
					classical(v)
				end
			else #On traite nos Pokémons
				if $game_variables[Yuki::Var::Mortality] == 0 #Mode désactivé
					classical(v)
				else
					neg(v)
				end
			end
		end

		def neg(v)
			if v<= -1*max_hp
				@hp=-1*max_hp
				@hp_rate = -1
			elsif(v >= max_hp)
				@hp = max_hp
				@hp_rate = 1
			else
				@hp=v
				@hp_rate = v / max_hp.to_f
			end
		end

		def classical(v)
			if(v<=0)
				@hp=0
				@hp_rate = 0
				@status=0 #A mettre en 9 si l'icône K.O. doit apparaître pendant le combat en "temps réel"
			elsif(v >= max_hp)
				@hp = max_hp
				@hp_rate = 1
			else
				@hp=v
				@hp_rate = v / max_hp.to_f
			end
		end
	end
end
