#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01300 UI\00200 UI__Bar.rb
#----------------------------------------

module UI
	class Bar

	# Change the rate of the bar
	# @param value [Numeric] 0 ~ 1
		def rate=(value)
			#value = 0 if value <= 0
			value = 1 if value >= 1
			value = -1 - value if value < 0 and value > -1
			@rate = value
			state = (value * @nb_states).to_i
			state = @nb_states - 1 if state >= @nb_states
			w = (@bw * value).ceil
			w = 1 if w == 0 and value != 0

			#On modifie la couleur de la barre (rouge si hp <= 0)
			if value == -1
				@bar.src_rect.set(nil, 4, @bw, nil)
			elsif value >= 0		
				@bar.src_rect.set(nil, @background.src_rect.height + @bh * state, w, nil)
				@background.src_rect.set(0, 0, nil, @background.src_rect.height) #if $scene.is_a?(Scene_Battle) or $scene.is_a?(GamePlay::Summary)
			else
				if $scene.is_a?(GamePlay::Party_Menu) or $scene.is_a?(GamePlay::Summary)
					@background.src_rect.set(0, 4, nil, @background.src_rect.height)
					@bar.src_rect.set(nil, 0, w, nil) #4, w
				else
					@background.src_rect.set(0, 4, nil, @background.src_rect.height)
					@bar.src_rect.set(nil, 0, w, nil) #4, w
				end
			end
		end
	end
end
