#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01300 UI\00100 Generic\00500 HelperSprites.rb
#----------------------------------------

module UI
	# Sprite that show the status of a Pokemon
	class StatusSprite < SpriteSheet
		# Number of official states
		remove_const :STATE_COUNT
		STATE_COUNT = 13
		# Create a new Status Sprite
		# @param viewport [LiteRGSS::Viewport, nil] the viewport in which the sprite is stored
		def initialize(viewport)
			super(viewport, 1, STATE_COUNT)
			filename = IMAGE_NAME + $options.language
			filename = IMAGE_NAME_DEFAULT unless RPG::Cache.interface_exist?(filename)
			set_bitmap(filename, :interface)
		end
	end
end