#encoding: utf-8
#----------------------------------------
#Mod pour \pokemonsdk\scripts\01700 BattleEngine\00200 BattleEngine__Abilities___Actions.rb
#----------------------------------------
# Patch de la Mue qui pouvait proc tout de suite après un KO ou une mort suite au mod de la mort des Pokémons.
# Prévoir ici la régen avec le talent "Sang de Troll" de la lignée Ouvrifier de Keltios.
# Toujours bugué sur PSDK 24.44

module BattleEngine
	module Abilities
		module_function
		def on_end_turn_heal_abilities
			battlers = ::BattleEngine.get_battlers
			pkmn = nil
			battlers.each do |pkmn|
				next if pkmn.dead?
				if(has_ability_usable(pkmn, pkmn.ability))
					case pkmn.ability
					when 88 #> Cuvette
						if $env.rain?
							_mp([:ability_display, pkmn])
							_mp([:hp_up, pkmn, pkmn.max_hp / 16])
						end
					when 4 #> Mue
						if pkmn.status != 0 and rand(3) == 0
							_mp([:ability_display, pkmn])
							_mp([:status_cure, pkmn])
						end
					when 43 #> Hydratation
						if pkmn.status != 0 and $env.rain?
							_mp([:ability_display, pkmn])
							_mp([:status_cure, pkmn])
						end
					when 106 #> Corps Gel
						if $env.hail?
							_mp([:ability_display, pkmn])
							_mp([:hp_up, pkmn, pkmn.max_hp / 16])
						end
					when 22 #> Peau Sèche
						if $env.rain?
							_mp([:ability_display, pkmn])
							_mp([:hp_up, pkmn, pkmn.max_hp / 8])
						end
					end
				end
			end
		end
	end
end