#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01200 PFM\01800 PFM__Pokemon.rb
#----------------------------------------
#Permet davoir le bonheur maxi à 1023 (gardé à 255 pour le moment, car mod d'amitié à peine ébauché.)
#Le Boost de ball et le Grelot Zen sont les seuls choses fonctionnels pour le moment.

module PFM
	class Pokemon
	BALL_B = [11,497,936,937,938] #Les ID des balls donnant un boost de *2 sur l'hausse de bonheur. La Copain ball est traitée comme Luxe Ball à défaut d'être codée sur PSDK.
	FRIENDY_ITEM = [218] # Grelot Coque
	#Variations dûes à la nature
	NATURE_B = [[],[]]
	MAX_H = 255 #Bonheur maximal autorisé
		def loyalty=(v)
			v = (@loyalty+(v-@loyalty)*get_loyalty(@loyalty-v)).round
			if(v < 0)
				v = 0
			elsif(v > MAX_H)
				v = MAX_H
			end
			@loyalty = v
		end

		#Pour récupérer les différentes variations de bonheur (ball, nature)
		def get_loyalty(d)
			boost = 1
			if BALL_B.any?(@captured_with) and d < 0
				boost *= 2
			end
			if FRIENDY_ITEM.any?(@item_holding) and d < 0
				boost *= 1.5
			end

			#boost *= NATURE_B[pokemon.nature_id][0] if d < 0 #Hausse de bonheur
			#boost *= NATURE_B[pokemon.nature_id][1] if d > 0 #Baisse de bonheur

			return boost
		end

	end
end